summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author David Somero <dsomero@hotmail.com>2010-05-13 00:59:41 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:59:41 +0200
commit15675c1ad360df88f537f5af51ff2a9752455e0b (patch)
treea30b281d3538e0970c1f5f8c15818ea79a5449e4 /multimedia
parent83686f1dbe7fa4f69eec25c221817e685dfa21da (diff)
downloadslackbuilds-15675c1ad360df88f537f5af51ff2a9752455e0b.tar.gz
slackbuilds-15675c1ad360df88f537f5af51ff2a9752455e0b.tar.xz
multimedia/gst-plugins-farsight: Added to 13.0 repository
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/gst-plugins-farsight/README9
-rw-r--r--multimedia/gst-plugins-farsight/gst-plugins-farsight.SlackBuild87
-rw-r--r--multimedia/gst-plugins-farsight/gst-plugins-farsight.info10
-rw-r--r--multimedia/gst-plugins-farsight/slack-desc19
4 files changed, 125 insertions, 0 deletions
diff --git a/multimedia/gst-plugins-farsight/README b/multimedia/gst-plugins-farsight/README
new file mode 100644
index 0000000000..c92552ad5a
--- /dev/null
+++ b/multimedia/gst-plugins-farsight/README
@@ -0,0 +1,9 @@
+gst-plugins-farsight contains Farsight plugins for the GStreamer
+Farsight is an effort to create a framework to deal with all known
+audio/video conferencing protocols for use by applications such as
+instant messaging. These applications are able to use Farsight for
+all their Audio/Video conferencing needs without having to worry
+about any of the lower level streaming and NAT traversal issues.
+
+This requires libjingle and openjpeg, and can optionally use gsm
+and libmimic.
diff --git a/multimedia/gst-plugins-farsight/gst-plugins-farsight.SlackBuild b/multimedia/gst-plugins-farsight/gst-plugins-farsight.SlackBuild
new file mode 100644
index 0000000000..2309880115
--- /dev/null
+++ b/multimedia/gst-plugins-farsight/gst-plugins-farsight.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/sh
+
+# Slackware build script for gst-plugins-farsight
+
+# Copyright 2009 David Somero (dsomero@hotmail.com) Athens,TN USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=gst-plugins-farsight
+VERSION=${VERSION:-0.12.11}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --with-libj2k \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING COPYING.LIB ChangeLog README INSTALL NEWS\
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/gst-plugins-farsight/gst-plugins-farsight.info b/multimedia/gst-plugins-farsight/gst-plugins-farsight.info
new file mode 100644
index 0000000000..c96600a9e3
--- /dev/null
+++ b/multimedia/gst-plugins-farsight/gst-plugins-farsight.info
@@ -0,0 +1,10 @@
+PRGNAM="gst-plugins-farsight"
+VERSION="0.12.11"
+HOMEPAGE="http://farsight.freedesktop.org/wiki/"
+DOWNLOAD="http://farsight.freedesktop.org/releases/gst-plugins-farsight/gst-plugins-farsight-0.12.11.tar.gz"
+MD5SUM="685a3dfd6752390e336e9556b62fad9e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="David Somero"
+EMAIL="dsomero@hotmail.com"
+APPROVED="rworkman"
diff --git a/multimedia/gst-plugins-farsight/slack-desc b/multimedia/gst-plugins-farsight/slack-desc
new file mode 100644
index 0000000000..3fdfc74d19
--- /dev/null
+++ b/multimedia/gst-plugins-farsight/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+gst-plugins-farsight: gst-plugins-farsight (Farsight Modules for GStreamer)
+gst-plugins-farsight:
+gst-plugins-farsight: Farsight is an effort to create a framework to deal with all known
+gst-plugins-farsight: audio/video conferencing protocols for use by applications such as
+gst-plugins-farsight: instant messaging. These applications are able to use Farsight for
+gst-plugins-farsight: all their Audio/Video conferencing needs without having to worry
+gst-plugins-farsight: about any of the lower level streaming and NAT traversal issues.
+gst-plugins-farsight:
+gst-plugins-farsight: Homepage: http://farsight.freedesktop.org/wiki/
+gst-plugins-farsight:
+gst-plugins-farsight: